Subject: Re: linux-next: Tree for July 18: warning at kernel/lockdep.c:2068 trace_hardirqs_on_caller

From: Bernhard Walle <[email-masked]>
Date: Mon, 21 Jul 2008 17:00:37 +0200

* Vivek Goyal [2008-07-21 09:39]:
>
> On Mon, Jul 21, 2008 at 03:25:39PM +0200, Bernhard Walle wrote:
> > * Vivek Goyal [2008-07-21 09:17]:
> > > 
> > > Is /proc/iomem updated upon memory hotplug event.
> > 
> > Yes. I just checked that (yesterday).
> > 
> > I think it would make sense to extend /sys/firmware/memmap on
> > hot-plugging. Just because on reboot, the firmware will see that
> > memory, too, and report it. However, we need a way to discriminate the
> > originally firmware-provided memory map with later added memory. I'm
> > not sure how that can be done, I have to think about it.
> 
> Probably use another type of RAM identifier (System RAM (hotplug)).
> 
> But the point is, if /sys/devices/system/memory also represents all
> the physical memory present in the system then it might be not be
> justified to create another similar interface. (Until and unless there
> is something unique about /sys/firmware/memmap).

But I don't see anything like a physical address there:

  /sys/devices/system/memory/memory2:
  -r--r--r-- 1 root root 4096 2008-07-21 15:45 phys_device
  -r--r--r-- 1 root root 4096 2008-07-21 15:45 phys_index
  -rw-r--r-- 1 root root 4096 2008-07-21 15:45 state

(on a PPC64 machine where SUSE kernel has that interface enabled by
default).

Bernhard
-- 
Bernhard Walle, SUSE LINUX Products GmbH, Architecture Development